/* scriptris - a free j2me tetris (R) clone with
 * bluetooth multiplayer support
 *
 *
 * (c) 2005-2006 Michael "ScriptKiller" Arndt
 * <scriptkiller@gmx.de>
 * http://scriptkiller.de/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 */

import javax.microedition.lcdui.*;


public class Help extends Form
    implements CommandListener {

    private Tetris t;
    private Command back;

    public Help(Tetris t) {

	super("Hilfe");
	this.t=t;

	append(
	       "Tastenbelegung\n"+
	       "\n"+
	       "1: Linksdrehung\n"+
	       "3: Rechtsdrehung\n"+
	       "4: Links\n"+
	       "5: Schritt runter\n"+
	       "6: Rechts\n"+
	       "7: Drop\n"+
	       "\n"+
	       "Bluetooth-Anleitung\n"+
	       "\n"+
	       "Zuerst muss Bluetooth auf beiden Gerten aktiviert werden\n"+
	       "\n"+
	       "Auf einem Gert den Bluetooth-Server starten, "+
	       "auf dem anderen Bluetooth-Client.\n"+
	       "Auf dem Client den Server suchen und auswhlen, "+
	       "fertig!\n"+

	       "\n"
	       );

	back=new Command("Zurck", Command.EXIT, 2);

	addCommand(back);

	setCommandListener(this);


    }

    public void commandAction(Command c, Displayable d) {
	
	if(c == back) {
	    t.showModeSelect();
	}

    }

}
