/* scriptris - a free j2me tetris (R) clone with
 * bluetooth multiplayer support
 *
 *
 * (c) 2005-2006 Michael "ScriptKiller" Arndt
 * <scriptkiller@gmx.de>
 * http://scriptkiller.de/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 */

import javax.microedition.lcdui.*;


public class gameServerConfig extends Form
    implements CommandListener {

    private Tetris t;
    private Command start, back;
    private TextField name;

    public gameServerConfig(Tetris t, String serverName) {

	super("Server-Config");
	this.t=t;

	name=new TextField("Name", serverName, 15, TextField.ANY);
	// no name, yet ....
	//append(name);

	append("noch keine Einstellungen mglich - einfach starten ;-)");

	back=new Command("Zurck", Command.EXIT, 2);
	start=new Command("Start", Command.OK, 1);

	addCommand(start);
	addCommand(back);

	setCommandListener(this);


    }

    public void commandAction(Command c, Displayable d) {
	
	if(c == back) {
	    t.showModeSelect();
	}
	else if(c == start) {
	    t.startServer(name.getString());
	}

    }


}
